Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
Re: [opensuse-factory] TW 20170529 major breakage in Thunderbird
Thanks. Sadly, zypper only sees the latest version of thunderbird: 52.1.1-1.2.


sudo zypper install --oldpackage MozillaThunderbird-52.1.1-1.1
Loading repository data...
Reading installed packages...
Package 'MozillaThunderbird-52.1.1-1.1' not found.
Resolving package dependencies...


This is feeling really user-hostile. :(

I filed https://bugzilla.opensuse.org/show_bug.cgi?id=1042094 - Always retain version n-1 in repo cache to facilitate package rollbacks

Nate





On 05/31/2017 07:22 PM, Aleksa Sarai wrote:
Let me also take the opportunity ask: how do you easily roll back a package version with zypper? I read through the man page and scoured the web but wasn't able to come up with anything that worked.

% zypper se -s pkg

will give you the list of versions that zypper knows about (has a cached version of / can see in your repos). You can then forcefully install (downgrade) pkg to pkg-1.2.3 with:

% zypper in --oldpackage pkg-1.2.3

You should get a warning about a downgrade. I'm not actually sure if this will downgrade libraries (if necessary) but I would hope it does (since zypper would see it as a reinstall with different Requires).


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups